Subject: Re: linux-next: manual merge of the rr_cpumask tree

From: Mike Travis <[email-masked]>
Date: Tue, 16 Dec 2008 08:03:11 -0800

Stephen Rothwell wrote:
> Hi Mike,
> 
> On Mon, 15 Dec 2008 22:02:25 -0800 Mike Travis <[email-masked]> wrote:
>> Yes, I did finally figure that out.  Thanks for rebasing the part that Ingo needed
>> so maybe the rest can be pushed.  There was a problem when the 'for-ingo' tree was
>> merged as there were mixed up API calls in io_apic.c, but I fixed them in the first
>> x86 only patch.  I wasn't sure of what else to do.
> 
> You could have fixed them up as part of the actual merge commit.  If each
> tree was correct on it own, then the merge is the place for such
> resolutions.
> 

Thanks, I will try that next time.

Ingo - if you need a small patch to make the post-merge tree buildable, let me know. 
I can extract that from the 1st patch (that modifies the smp api).

Thanks,
Mike